package com.eactive.eai.common.b2badaptermapping;

import java.io.Serializable;

import lombok.Data;

public class B2BAdapterMapFldVO implements Serializable {
	private String b2bExtnlInstiCd;		// id.extnlinstiidnfiname		외부기관식 별명
	private String bzwkVal;				// id.dmnddtalsbzwkdsticname	요청 세부 업무 구분명
	private String adapterGroupName;	// psvsysadptrbzwkgroupname		수동시스템어댑터업무그룹명
	private String adapterName;			// adptrbzwkname				어댑터 이름

	public B2BAdapterMapFldVO(String b2bExtnlInstiCd, String bzwkVal, String adapterGroupName, String adapterName) {
        this.b2bExtnlInstiCd = b2bExtnlInstiCd;
        this.bzwkVal = bzwkVal;
        this.adapterGroupName = adapterGroupName;
        this.adapterName = adapterName;        
    }
    
    public String getB2bExtnlInstiCd() {
        return this.b2bExtnlInstiCd;
    }
    
    public void setB2bExtnlInstiCd(String b2bExtnlInstiCd) {
        this.b2bExtnlInstiCd = b2bExtnlInstiCd;
    }
    
    public void setBzwkVal(String bzwkVal) {
		this.bzwkVal = bzwkVal;
	}
    
    public String getBzwkVal() {
		return this.bzwkVal;
	}

    public void setAdapterGroupName(String adapterGroupName) {
		this.adapterGroupName = adapterGroupName;
	}
	
	public String getAdapterGroupName() {
        return this.adapterGroupName;
    }
    
	public void setAdapterName(String adapterName) {
		this.adapterName = adapterName;
	}
	
	public String getAdapterName() {
        return this.adapterName;
    }
} 
